# $Revision: 1.20BL5 $, $Date: 2013/08/29 01:05:38 $
#
Summary:	OCS-Inventory NG - keeping track of the configuration and installed software
Summary(pl.UTF-8):	OCS-Inventory NG - śledzenie konfiguracji i zainstalowanego oprogramowania
Name:		ocs-inventory-ng
Version:	2.0.5
Release:	0BL6
License:	GPL
Group:		Applications
Source0:	https://launchpad.net/ocsinventory-server/stable-2.0/%{version}/+download/OCSNG_UNIX_SERVER-%{version}.tar.gz
# Source0-md5:	3a756080a409f7743937ffe1ab748a03
Source4:	%{name}-client.conf
Source5:	%{name}-client.adm
Source6:	%{name}-client.cron
Source7:	%{name}-client.logrotate
Patch0:		%{name}-config.patch
URL:		http://www.ocsinventory-ng.org/
BuildRequires:	perl-devel >= 1:5.6
BuildRequires:	perl-ExtUtils-MakeMaker
BuildRequires:	unzip
Requires:	apache >= 2.0.46
Requires:	apache-mod_perl >= 1.29
Requires:	perl-Apache-DBI >= 0.93
#Requires:	perl-Compress-Zlib >= 1.33
Requires:	perl-DBD-mysql >= 2.9004
Requires:	perl-DBI >= 1.40
Requires:	perl-Net-IP >= 1.21
Requires:	perl-XML-Simple >= 2.12
Requires:	perl-base >= 1:5.6
Requires:	perl-SOAP-Lite >= 0.66
Requires:	perl-SOAP-Lite-HTTP
Requires:	webserver(php) >= 4.3.2
Requires:	php(zip)
Requires:	webapps
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_webappconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}

%description
Open Computer and Software Inventory Next Generation is an application
designed to help a network or system administrator keep track of the
computer configuration and software installed on the network.

Dialog between client computers and management server is based on
actual standards, HTTP protocol and XML data formatting.

Management server runs on Apache/MySQL/PHP/Perl server, under Linux or
Windows NT based computers.

Inventoried client computers can run Microsoft Windows
95/98/Me/NT4/2000/XP/2003 or Linux operating systems.

Used with a park management software such as GLPI, you will have a
powerful inventory and park management software with automatic updates
of computer configuration, license management, help desk and more.

%description -l pl.UTF-8
Open Computer and Software Inventory Next Generation to aplikacja
zaprojektowana, aby pomóc administratorom sieci lub systemów w
śledzeniu konfiguracji komputerów i oprogramowania zainstalowanego w
sieci.

Dialog między komputerami klienckimi a serwerem zarządzającym jest
oparty na właściwych standardach, takich jak protokół HTTP i format
danych XML.

Serwer zarządzający działa na serwerze Apache/MySQL/PHP/Perl pod
Linuksem lub Windows NT.

Inwentaryzowane komputery klienckie mogą działać pod kontrolą systemu
Microsoft Windows 95/98/Me/NT4/2000/XP/2003 lub Linux.

Przy użyciu oprogramowania do zarządzania parkiem informatycznym,
takiego jak GLPI, otrzymamy potężne oprogramowanie do inwentaryzacji i
zarządzania parkiem z automatycznym uaktualnianiem konfiguracji
komputerów, zarządzaniem licencjami, help deskiem itd.

%prep
%setup -q -n OCSNG_UNIX_SERVER-%{version}
%patch0 -p1

# undos the source
find '(' -name '*.php' -o -name '*.inc' -o  -name '*.conf' -o  -name '*.htc' -o  -name '*.js' -o  -name '*.dtd' -o  -name '*.pm' -o  -name '*.css' ')' -print0 | xargs -0 sed -i -e 's,\r$,,'

%build
cd Apache
%{__perl} Makefile.PL \
		INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

cd Apache
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cd ..
mv etc/ocsinventory/{ocsinventory-server,httpd}.conf

install -d $RPM_BUILD_ROOT{%{_datadir}/%{name},%{_sysconfdir}/logrotate.d,%{_var}/log/%{name},%{_sharedstatedir}/%{name}/downloads/,%{_bindir}}
install -d $RPM_BUILD_ROOT{%{_appdir},%{_webappconfdir}}
cp -Rf ocsreports/* $RPM_BUILD_ROOT%{_datadir}/%{name}

install etc/logrotate.d/ocsinventory-server $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/ocs-inventory-ng
install etc/ocsinventory/* $RPM_BUILD_ROOT%{_webappconfdir}
install binutils/ipdiscover-util.pl $RPM_BUILD_ROOT%{_datadir}/%{name}/ipdiscover-util.pl
install binutils/ocsinventory-injector.pl $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc README binutils/{ocs-errors,ipdiscover-util.README,ocsinventory-injector*,ocsinventory-log*,soap-client*}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/ocs-inventory-ng
%attr(750,root,http) %dir %{_webappconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_webappconfdir}/ocsinventory-reports.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_webappconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_webappconfdir}/snmp_com.txt
%attr(755,root,root) %{_bindir}/ocsinventory-injector.pl
%{_datadir}/%{name}/
%dir %{perl_vendorlib}/Apache/Ocsinventory
%{perl_vendorlib}/Apache/Ocsinventory/*
%{perl_vendorlib}/Apache/Ocsinventory.pm
%attr(770,root,http) %dir %{_var}/log/%{name}
%attr(770,root,http) %dir %{_sharedstatedir}/%{name}
%attr(770,root,http) %dir %{_sharedstatedir}/%{name}/downloads/

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocs-inventory-ng.spec,v $
Revision 1.20BL6  2016/06/29 18:01:38  bartoszl@ics.p.lodz.pl
- Fixed dep

Revision 1.20BL5  2013/08/29 01:05:38  bartoszl@ics.p.lodz.pl
- recompiled

Revision 1.20BL4  2012/11/05 17:05:38  bartoszl@ics.p.lodz.pl
- fixed requires

Revision 1.20BL3  2012/10/31 16:05:38  bartoszl@ics.p.lodz.pl
- fixed requires
- up to 2.0.5

Revision 1.20  2010/05/16 14:14:20  sparky
- BR: unzip

Revision 1.19  2008/03/02 17:05:38  wolvverine
- correct %files

Revision 1.18  2008-03-02 03:50:35  wolvverine
- move agent to ocs-inventory-ng-client.spec

Revision 1.17  2007/05/14 12:15:26  grzegorz
- up to 1.01

Revision 1.16  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.14  2006/10/13 09:53:58  qboosh
- spec already renamed

Revision 1.13  2006/10/09 17:35:28  wolvverine
- BR (thx sarak)

Revision 1.12  2006/10/04 13:34:30  wolvverine
- undos the source

Revision 1.11  2006/10/03 15:34:43  ankry
- tabs

Revision 1.10  2006/10/03 14:40:50  wolvverine
- webapps, NFY

Revision 1.9  2006/10/03 13:45:45  wolvverine
- add log directory

Revision 1.8  2006/10/03 12:55:08  wolvverine
- add config patch, build section

Revision 1.7  2006/09/29 06:56:20  glen
- adapterized, epoches

Revision 1.6  2006/09/29 01:31:37  wolvverine
- correct R

Revision 1.5  2006/09/29 01:27:44  wolvverine
- up to RC3-1, add TODO, NFY

Revision 1.4  2005/12/24 09:53:42  qboosh
- pl, some cleanups

Revision 1.3  2005/12/20 06:21:20  wolvverine
- add lost first commitlog

Revision 1.2  2005/12/20 06:18:30  wolvverine
- correct log section

Revision 1.1  2005/12/20 06:16:30  wolvverine
- init spec
- NFY (in progress)
